#define _device_name "LFE3-17EA"
#define _ch0_pll_rxsrc "REFCLK_EXT"
#define _ch0_mode "RXTX"
#define _ch0_protocol "10BSER"
#define _ch0_ldr "DISABLED"
#define _ch0_tx_data_rate "FULL"
#define _ch0_tx_data_width "20"
#define _ch0_tx_fifo "ENABLED"
#define _ch0_tx_ficlk_rate 156.25
#define _ch0_rx_datarange "HIGH"
#define _ch0_rx_data_rate "FULL"
#define _ch0_rxrefclk_rate "156.25"
#define _ch0_rx_data_width "20"
#define _ch0_rx_fifo "ENABLED"
#define _ch0_rx_ficlk_rate 156.25
#define _ch0_tdrv "0"
#define _ch0_tx_pre "DISABLED"
#define _ch0_rterm_tx "50"
#define _ch0_rx_eq "DISABLED"
#define _ch0_rterm_rx "50"
#define _ch0_rx_dcc "AC"
#define _los_threshold_mode0 "LOS_E"
#define _los_threshold_lo0 "2"
#define _ch0_tx_sb "DISABLED"
#define _ch0_tx_8b10b "DISABLED"
#define _ch0_rx_sb "DISABLED"
#define _ch0_ird "DISABLED"
#define _ch0_rx_8b10b "DISABLED"
#define _ch0_rxwa "DISABLED"
#define _ch0_ilsm "DISABLED"
#define _ch0_scomma "User Defined"
#define _ch0_comma_a "1100000101"
#define _ch0_comma_b "0011111010"
#define _ch0_comma_m "1111111100"
#define _ch0_ctc "DISABLED"
#define _ch0_cc_match_mode "1"
#define _ch0_byten "0100011100"
#define _ch0_byten1 "0000000000"
#define _ch0_byten2 "0100011100"
#define _ch0_byten3 "0100011100"
#define _ch0_cc_min_ipg "3"
#define _ch0_lbtype "DISABLED"
#define _ch0_teidle "DISABLED"
#define _rx_los_port0 "Internal"

#define _ch1_pll_rxsrc "REFCLK_EXT"
#define _ch1_mode "RXTX"
#define _ch1_protocol "10BSER"
#define _ch1_ldr "DISABLED"
#define _ch1_tx_data_rate "FULL"
#define _ch1_tx_data_width "20"
#define _ch1_tx_fifo "ENABLED"
#define _ch1_tx_ficlk_rate 156.25
#define _ch1_rx_datarange "HIGH"
#define _ch1_rx_data_rate "FULL"
#define _ch1_rxrefclk_rate "156.25"
#define _ch1_rx_data_width "20"
#define _ch1_rx_fifo "ENABLED"
#define _ch1_rx_ficlk_rate 156.25
#define _ch1_tdrv "0"
#define _ch1_tx_pre "DISABLED"
#define _ch1_rterm_tx "50"
#define _ch1_rx_eq "DISABLED"
#define _ch1_rterm_rx "50"
#define _ch1_rx_dcc "AC"
#define _los_threshold_mode1 "LOS_E"
#define _los_threshold_lo1 "2"
#define _ch1_tx_sb "DISABLED"
#define _ch1_tx_8b10b "DISABLED"
#define _ch1_rx_sb "DISABLED"
#define _ch1_ird "DISABLED"
#define _ch1_rx_8b10b "DISABLED"
#define _ch1_rxwa "DISABLED"
#define _ch1_ilsm "DISABLED"
#define _ch1_scomma "User Defined"
#define _ch1_comma_a "1100000101"
#define _ch1_comma_b "0011111010"
#define _ch1_comma_m "1111111100"
#define _ch1_ctc "DISABLED"
#define _ch1_cc_match_mode "1"
#define _ch1_byten "0100011100"
#define _ch1_byten1 "0000000000"
#define _ch1_byten2 "0100011100"
#define _ch1_byten3 "0100011100"
#define _ch1_cc_min_ipg "3"
#define _ch1_lbtype "DISABLED"
#define _ch1_teidle "DISABLED"
#define _rx_los_port1 "Internal"

#define _ch2_pll_rxsrc "REFCLK_EXT"
#define _ch2_mode "RXTX"
#define _ch2_protocol "10BSER"
#define _ch2_ldr "DISABLED"
#define _ch2_tx_data_rate "FULL"
#define _ch2_tx_data_width "20"
#define _ch2_tx_fifo "ENABLED"
#define _ch2_tx_ficlk_rate 156.25
#define _ch2_rx_datarange "HIGH"
#define _ch2_rx_data_rate "FULL"
#define _ch2_rxrefclk_rate "156.25"
#define _ch2_rx_data_width "20"
#define _ch2_rx_fifo "ENABLED"
#define _ch2_rx_ficlk_rate 156.25
#define _ch2_tdrv "0"
#define _ch2_tx_pre "DISABLED"
#define _ch2_rterm_tx "50"
#define _ch2_rx_eq "DISABLED"
#define _ch2_rterm_rx "50"
#define _ch2_rx_dcc "AC"
#define _los_threshold_mode2 "LOS_E"
#define _los_threshold_lo2 "2"
#define _ch2_tx_sb "DISABLED"
#define _ch2_tx_8b10b "DISABLED"
#define _ch2_rx_sb "DISABLED"
#define _ch2_ird "DISABLED"
#define _ch2_rx_8b10b "DISABLED"
#define _ch2_rxwa "DISABLED"
#define _ch2_ilsm "DISABLED"
#define _ch2_scomma "User Defined"
#define _ch2_comma_a "1100000101"
#define _ch2_comma_b "0011111010"
#define _ch2_comma_m "1111111100"
#define _ch2_ctc "DISABLED"
#define _ch2_cc_match_mode "1"
#define _ch2_byten "0100011100"
#define _ch2_byten1 "0000000000"
#define _ch2_byten2 "0100011100"
#define _ch2_byten3 "0100011100"
#define _ch2_cc_min_ipg "3"
#define _ch2_lbtype "DISABLED"
#define _ch2_teidle "DISABLED"
#define _rx_los_port2 "Internal"

#define _ch3_pll_rxsrc "REFCLK_EXT"
#define _ch3_mode "RXTX"
#define _ch3_protocol "10BSER"
#define _ch3_ldr "DISABLED"
#define _ch3_tx_data_rate "FULL"
#define _ch3_tx_data_width "20"
#define _ch3_tx_fifo "ENABLED"
#define _ch3_tx_ficlk_rate 156.25
#define _ch3_rx_datarange "HIGH"
#define _ch3_rx_data_rate "FULL"
#define _ch3_rxrefclk_rate "156.25"
#define _ch3_rx_data_width "20"
#define _ch3_rx_fifo "ENABLED"
#define _ch3_rx_ficlk_rate 156.25
#define _ch3_tdrv "0"
#define _ch3_tx_pre "DISABLED"
#define _ch3_rterm_tx "50"
#define _ch3_rx_eq "DISABLED"
#define _ch3_rterm_rx "50"
#define _ch3_rx_dcc "AC"
#define _los_threshold_mode3 "LOS_E"
#define _los_threshold_lo3 "2"
#define _ch3_tx_sb "DISABLED"
#define _ch3_tx_8b10b "DISABLED"
#define _ch3_rx_sb "DISABLED"
#define _ch3_ird "DISABLED"
#define _ch3_rx_8b10b "DISABLED"
#define _ch3_rxwa "DISABLED"
#define _ch3_ilsm "DISABLED"
#define _ch3_scomma "User Defined"
#define _ch3_comma_a "1100000101"
#define _ch3_comma_b "0011111010"
#define _ch3_comma_m "1111111100"
#define _ch3_ctc "DISABLED"
#define _ch3_cc_match_mode "1"
#define _ch3_byten "0100011100"
#define _ch3_byten1 "0000000000"
#define _ch3_byten2 "0100011100"
#define _ch3_byten3 "0100011100"
#define _ch3_cc_min_ipg "3"
#define _ch3_lbtype "DISABLED"
#define _ch3_teidle "DISABLED"
#define _rx_los_port3 "Internal"

#define _datarange "HIGH"
#define _pll_txsrc "REFCLK_EXT"
#define _refclk_mult "20X"
#define _refclk_rate 156.25
#define _pll_term "50"
#define _pll_dcc "AC"
#define _pll_lol_set "0"
#define _cchmark "9"
#define _cclmark "7"
#define _rst_gen "DISABLED"
#define _sci_ports "ENABLED"
#define _sci_int_port "ENABLED"
#define _refck2core "ENABLED"
#define _circuit_name PCS0
#include <pcs/pcsd_cfg.txt>
